Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class UnsignedByte

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--org.apache.axis.types.UnsignedInt
                  |
                  +--org.apache.axis.types.UnsignedShort
                        |
                        +--org.apache.axis.types.UnsignedByte

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class UnsignedByte
extends UnsignedShort

Custom class for supporting primitive XSD data type UnsignedByte

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.24, Serialized Form

Field Summary

Fields inherited from class org.apache.axis.types.UnsignedInt
`lValue`

Constructor Summary
`UnsignedByte()`
`UnsignedByte(long sValue)` ctor for UnsignedByte
`UnsignedByte(java.lang.String sValue)`

Method Summary
`boolean` | `isValid(long sValue)` validate the value against the xsd value space definition
`void` | `setValue(long sValue)` validates the data and sets the value for the object.

Methods inherited from class org.apache.axis.types.UnsignedInt
`byteValue, compareTo, doubleValue, equals, floatValue, hashCode, intValue, longValue, shortValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsignedByte

    public UnsignedByte()

### UnsignedByte

    public UnsignedByte(long sValue)
                 throws java.lang.NumberFormatException

  ctor for UnsignedByte

Throws:
  `java.lang.Exception` - will be thrown if validation fails
  `java.lang.NumberFormatException`

### UnsignedByte

    public UnsignedByte(java.lang.String sValue)
                 throws java.lang.NumberFormatException

Method Detail

### setValue

    public void setValue(long sValue)
                  throws java.lang.NumberFormatException

  validates the data and sets the value for the object.

  Overrides:
    `setValue` in class `UnsignedShort`
  Parameters:
    `sValue` - the number to set
    `java.lang.NumberFormatException`

### isValid

    public boolean isValid(long sValue)

  validate the value against the xsd value space definition

  Overrides:
    `isValid` in class `UnsignedShort`
  Parameters:
    `sValue` - number to check against range

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.